Subject: Re: [OSPF] Alissa Cooper's No Objection on draft-ietf-ospf-te-metric-extensions-10: (with COMMENT)

From: John E Drake <[email-masked]>
Date: Wed, 7 Jan 2015 15:31:10 +0000

Alissa,

Comments inline

Yours Irrespectively,

John

> -----Original Message-----
> From: Alissa Cooper [mailto:[email-masked]]
> Sent: Tuesday, January 06, 2015 7:19 PM
> To: The IESG
> Cc: [email-masked]; [email-masked]; draft-ietf-ospf-te-metric-
> [email-masked]; [email-masked]
> Subject: Alissa Cooper's No Objection on draft-ietf-ospf-te-metric-
> extensions-10: (with COMMENT)
> 
> Alissa Cooper has entered the following ballot position for
> draft-ietf-ospf-te-metric-extensions-10: No Objection
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> http://datatracker.ietf.org/doc/draft-ietf-ospf-te-metric-extensions/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> = Section 1 =
> 
> "While this document does not specify how the performance information
>    should be obtained, the measurement of delay SHOULD NOT vary
>    significantly based upon the offered traffic load.  Thus, queuing
>    delays and/or loss SHOULD NOT be included in any dynamic delay
>    measurement."
> 
> Agree with Stephen's comment here -- this is confusing. I'm not sure
> normative language makes a whole lot of sense here at all if "the
> measurement" means "the quantity you actually measure" as opposed to
> "the quantity that you report after measuring."
> 
> Also, how would loss be reported in a delay measurement? (I can imagine
> ways, but they seem contrived.)

[JD]  I have replaced 'delay' w/ 'link propagation delay' throughout and here is a re-write of the paragraph in question:

"While this document does not specify the method for measuring network performance information, any measurement of link propagation delay SHOULD NOT vary significantly based upon the offered traffic load and hence SHOULD NOT include queuing delays.  For a forwarding adjacency (FA) [RFC4206], care must be taken that measurement of the link propagation delay avoids significant queuing delay; this can be accomplished in a variety of ways, e.g., measuring with a traffic class that experiences minimal queuing or summing the measured link propagation delay of the links on the FA’s path."  

> 
> = Section 4.2.7 =
> 
> "Implementations MAY also permit the configuration of an offset value
>    (in microseconds) to be added to the measured delay value to
>    advertise operator specific delay constraints."
> 
> Do I understand correctly that there is no way specified to communicate this
> offset value? If this is a matter for local configuration, it seems a bit odd to
> use normative language and describe it in the definition of the sub-TLV.

[JD] I have changed 'MAY' to 'may'. 

> 
> = Section 4.4.5 =
> 
> "When set to a value of all 1s (2^24 - 1), the link packet loss has
>    not been measured."
> 
> I noted that in the case of delay, the way to signal that delay has not been
> measured is to not send or withdraw the sub-TLV, whereas for loss it is to
> send a specific value. Why do this differently for different measurements?

[JD]  I deleted the sentence in question.

> 
> = Section 7 =
> 
> I agree with Barry's comments here.
> 

[JD]  I have changed everything to lowercase.